# Bugs Solution Pointers

As bugs are unique to a certain solution, we'll make references to the code of the example solution. If your own solution has the same bug, the general fix idea can be reused.

## 1. No height limit

As you might have noticed, the game ends when you hit the floor. This gives you the opportunity to recycle some code!

You can look at how that is done in `Player.gd`.


## 2. Ending Screen

Again, you can look at already existing code. Try to look at the differences when you hit the floor and when you hit a tower.

You already know where the check is done if you hit the floor. Checking if a tower is hit is done in the same file.
Hint: Select the Area2D node and look at the attached signals
