# Flappy Bird

This repository contains an example solution for the [Flappy Bird game](https://git.zeus.gent/godot-introduction/getting-started/src/branch/master/flappy-bird).

It's important to note that this is not the only possible solution; yours might differ.

Now that you have starting solution, it's time to add some new and exciting features!
However ,before you start adding new features, it might be a good idea to fix all lingering bugs.

## Bugs

It's a good exercise to try and find a solution on your own; however, if you're really stuck we've added some pointers in the `bugs_spoilers.md` file.

1. It's possible to jump above the pipes. By spamming SPACE you'll never die.
2. When you die because of hitting a pipe, the bird gets reset to the starting position. It would be nicer if it had the same type of ending screen as when you hit the gound, which is the last frame you see.

## New Features

We're using the same method as for the bugs. You can find some pointers, if necessary, on where to begin in `features_spoilers.md`.

### Basic

1. Randomize the color of the pipes
2. Give the player 3 lives.
3. Increase the speed of the bird as the game progresses

### Medium

1. Enchance the UI
2. Add Coins
3. Randomize the size of the gap between pipes

### Advanced

1. Support multiple players
2. Powerups
3. Add a new type of pipe that moves

### Super Advanced

1. Monetize the game by adding a battlepass